> For the complete documentation index, see [llms.txt](https://algolytics-technologies.gitbook.io/algolytics/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://algolytics-technologies.gitbook.io/algolytics/scoring.one-platform/rest-api/internal-database-management.md).

# Internal database management

### Display a list of databases

<pre class="language-bash"><code class="lang-bash"><strong>curl --location --request GET 'https://demo.scoring.one/api/internaldata/collections' \
</strong>--header 'Authorization: Bearer xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx'
</code></pre>

### Get data

```bash
curl --location --request GET 'https://demo.scoring.one/api/internaldata/collections/<collection_name>' \
--header 'Authorization: Bearer xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx' 
```

### Get a list of columns

```bash
curl --location --request GET 'https://demo.scoring.one/api/internaldata/columns/<collection_name>' \
--header 'Authorization: Bearer xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx'
```

### Get a list of indexes

```bash
curl --location --request GET 'https://demo.scoring.one/api/internaldata/indexes/<collection_name>' \
--header 'Authorization: Bearer xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx' 
```

### Delete a table

```bash
curl -X DELETE 'https://demo.scoring.one/api/internaldata/collections/delete/<collection_name>' \--header 'Authorization: Bearer xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx'
```

### Load data to Scoring.One engine

```bash
curl -X POST 'https://demo.scoring.one/api/internaldata/collections/loadData/<collection_name>?fileName=titanic.csv&indexes=<zmienna1>,false;<zmienna2>,false' \
--header 'Authorization: Bearer xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx' \
--form file=@titanic.csv
```
